#pragma once
#include <memory>
#include "Group.h"

class SymbolDefinition {
public:
  explicit SymbolDefinition(const pugi::xml_node &node);
  void draw(SFML_output* out, double x_origin, double y_origin) const;
  [[nodiscard]] std::string dump(std::string const& indent) const;
  [[nodiscard]] Shape* find_shape_by_label(std::string_view a_label) const;
[[nodiscard]] std::string get_label() const;
  void set_color(std::string const& aColor) const;

private:
  std::string label;
  std::unique_ptr<Group> root;
};



